
#import <Cocoa/Cocoa.h>


@interface GBGameCollection : NSObject
{
	NSString* _name;
	NSString* _identifier;
	NSMutableArray* _gameIds;
	NSString* _path;
    BOOL _isSmart;
}

@property (nonatomic) NSString* name;
@property (nonatomic) NSString* identifier;
@property (nonatomic) NSMutableArray* gameIds;
@property (nonatomic) NSString* path;
@property (nonatomic) BOOL isSmart;


- (id) initWithCoder:(NSCoder*)coder;
- (void) encodeWithCoder:(NSCoder*)coder;

- (NSData*) dataRepresentation;
- (BOOL) saveToFile;

+ (NSString*) fileExtension;

+ (GBGameCollection*) collectionFromData:(NSData*)data;
+ (GBGameCollection*) collectionFromFile:(NSString*)path;

@end

